VIEWIMG_STATISTICS_POSITION_FUNC(3)

EXPERIMENTAL_FUNC
viewimg_statistics_position_func - Position event callback.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_statistics_position_func

(ViewableImage vimage, double x, double y, void *value, unsigned int event_code, void *e_info, void **f_info, double x_lin, double y_lin, unsigned int value_type, double x_im, double y_im, int x_pix, int y_pix)

DESCRIPTION
This routine is a position event consumer for a world canvas which has a number of ViewableImage objects associated with it.

viewimg
    The active viewable image.

x   The horizontal world co-ordinate of the event.

y   The vertical world co-ordinate of the event. These values will have been transformed by the registered transform function (see <-canvas_register_transforms_func->) for the associated world canvas.

value
    A pointer to the data value in the viewable image corresponding to the event co-ordinates.

event_code
    The arbitrary event code.

e_info
    The arbitrary event information.

f_info
    The arbitrary function information pointer.

x_lin
    The linear horizontal world co-ordinate (the co-ordinate prior to the transform function being called).

y_lin
    The linear vertical world co-ordinate (the co-ordinate prior to the transform function being called).

value_type
    The type of the data value. This may be K_DCOMPLEX or K_UB_RGB.

x_im
    The horizontal image pixel co-ordinate. 0.0 is the pixel centre.

y_im
    The vertical image pixel co-ordinate. 0.0 is the pixel centre.

x_pix
    The horizontal screen pixel co-ordinate.

y_pix
    The vertical screen pixel co-ordinate.

RETURN VALUE
TRUE if the event was consumed, else FALSE indicating that the event is still to be processed.

Multi-threading Level
Unsafe.

NOTE
All co-ordinates are clipped to pixel boundaries.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/